Update template.
curl --request PUT \
--url https://api.revong.com/api/v1/automation/template/{jobTemplateId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"version": 123,
"category": "<string>",
"desc": "<string>",
"componentId": "<string>",
"componentVersion": 123,
"triggerUser": "<string>",
"inputs": {},
"options": {
"skipLibs": true,
"legacyResults": true,
"hideRequest": true,
"hideResponse": true
}
}
'import requests
url = "https://api.revong.com/api/v1/automation/template/{jobTemplateId}"
payload = {
"name": "<string>",
"version": 123,
"category": "<string>",
"desc": "<string>",
"componentId": "<string>",
"componentVersion": 123,
"triggerUser": "<string>",
"inputs": {},
"options": {
"skipLibs": True,
"legacyResults": True,
"hideRequest": True,
"hideResponse": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
version: 123,
category: '<string>',
desc: '<string>',
componentId: '<string>',
componentVersion: 123,
triggerUser: '<string>',
inputs: {},
options: {skipLibs: true, legacyResults: true, hideRequest: true, hideResponse: true}
})
};
fetch('https://api.revong.com/api/v1/automation/template/{jobTemplateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Automation
Update template.
ROLES: AUTOMATION_ADMIN USER: true SERVICE ACCOUNT: true
PUT
/
api
/
v1
/
automation
/
template
/
{jobTemplateId}
Update template.
Authorizations
Bearer token with Platform JWT token or API Key.
Path Parameters
Body
application/json
Name.
Current version.
Category.
Description.
Component identifier.
Component version, if left empty it will use latest component version).
Invoke job on behalf of specific account.
Options.
Show child attributes
Show child attributes
Response
OK.
⌘I

